KDE 4.3 PyKDE API Reference

- KDE's Python API

# PushButton Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

PushButton plasma/widgets/pushbutton.h <Plasma/Widgets/PushButton>

Provides a plasma-themed KPushButton.

## Signals

| clicked ()
| toggled (bool a0)

## Methods

| __init__ (self, QGraphicsWidget parent=0)
QAction | action (self)
| clicked (self)
| hoverEnterEvent (self, QGraphicsSceneHoverEvent event)
| hoverLeaveEvent (self, QGraphicsSceneHoverEvent event)
QIcon | icon (self)
QString | image (self)
bool | isChecked (self)
KPushButton | nativeWidget (self)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget=0)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setAction (self, QAction action)
| setCheckable (self, bool checkable)
| setChecked (self, bool checked)
| setIcon (self, QIcon icon)
| setImage (self, QString path)
| setStyleSheet (self, QString stylesheet)
| setText (self, QString text)
QString | styleSheet (self)
QString | text (self)
| toggled (self, bool a0)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

QAction action | ( |  | self ) |

Returns:
  the currently associated action, if any.

Since:
  4.3

clicked | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("clicked()"), target_slot)`

hoverEnterEvent | ( | self, |
|  | QGraphicsSceneHoverEvent | event
| ) |  |  |

hoverLeaveEvent | ( | self, |
|  | QGraphicsSceneHoverEvent | event
| ) |  |  |

QIcon icon | ( |  | self ) |

Returns:
  the icon of this button

Since:
  4.3

QString image | ( |  | self ) |

Returns:
  the image path being displayed currently, or an empty string if none.

bool isChecked | ( |  | self ) |

Returns:
  true if the button is checked; requires setIsCheckable(true) to be called

Since:
  4.3

KPushButton nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this PushButton

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget=0
| ) |  |  |

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setAction | ( | self, |
|  | QAction | action
| ) |  |  |

Associate an action with this IconWidget this makes the button follow the state of the action, using its icon, text, etc. when the button is clicked, it will also trigger the action.

Since:
  4.3

setCheckable | ( | self, |
|  | bool | checkable
| ) |  |  |

Sets whether or not this button can be toggled on/off

Since:
  4.3

setChecked | ( | self, |
|  | bool | checked
| ) |  |  |

Sets whether or not this button is checked. Implies setIsCheckable(true).

Since:
  4.3

setIcon | ( | self, |
|  | QIcon | icon
| ) |  |  |

sets the icon for this toolbutton

@arg icon the icon we want to use

Since:
  4.3

setImage | ( | self, |
|  | QString | path
| ) |  |  |

Sets the path to an image to display.

@arg path the path to the image; if a relative path, then a themed image will be loaded.

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this PushButton

@arg stylesheet a CSS string

setText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the display text for this PushButton

@arg text the text to display; should be translated.

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

QString text | ( |  | self ) |

Returns:
  the display text

toggled | ( | self, |
|  | bool | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("toggled(bool)"), target_slot)`